include:
  # Python template
  - component: $CI_SERVER_FQDN/to-be-continuous/python/gitlab-ci-python@7
    inputs:
      image: python:3.11-slim
      pytest-enabled: true
      pytest-args: "tests/"
      pylint-enabled: true
      pylint-files: "burger_maker/ tests/"
      bandit-enabled: true
      bandit-args: "--skip B311 -r burger_maker/"
  # Spectral template
  - component: $CI_SERVER_FQDN/to-be-continuous/spectral/gitlab-ci-spectral@1
    inputs:
      documents: "burger_maker/burger_maker.openapi.yml"
  # Sonar template
  - component: $CI_SERVER_FQDN/to-be-continuous/sonar/gitlab-ci-sonar@4
    inputs:
      # Use SonarQube from sonarcloud.io
      host-url: "https://sonarcloud.io"
      # organization & projectKey defined in sonar-project.properties
      # SONAR_TOKEN defined as a secret CI/CD variable
  # Docker template
  - component: $CI_SERVER_FQDN/to-be-continuous/docker/gitlab-ci-docker@6
    inputs:
      build-args: "--cache-ttl=6h"
      trivy-args: "--ignore-unfixed --vuln-type os"
  # Kubernetes template
  - component: $CI_SERVER_FQDN/to-be-continuous/docker-compose/gitlab-ci-docker-compose@1
    inputs:
      review-docker-host: "$NONPROD_DOCKER_HOST" # enable review env
      staging-docker-host: "$NONPROD_DOCKER_HOST" # enable staging env
      # prod-docker-host: "$PROD_DOCKER_HOST" # enable production env
      # $NONPROD_DOCKER_HOST and $PROD_DOCKER_HOST are defined as a project var
      # $NONPROD_DOCKER_HOST and $PROD_DOCKER_HOST are defined as a project var
      # $DCMP_ENVIRONMENT_URL defined as a project var
      # $DCMP_SSH_PRIVATE_KEY and $DCMP_SSH_KNOWN_HOSTS are defined as a project var
  # Postman template
  - component: $CI_SERVER_FQDN/to-be-continuous/postman/gitlab-ci-postman@3
    inputs:
      review-enabled: true
  # Bruno template
  - component: $CI_SERVER_FQDN/to-be-continuous/bruno/gitlab-ci-bruno@1
    inputs:
      review-enabled: true
